Package: org.codehaus.groovy.transform.tailrec

## [Groovy] Class VariableExpressionTransformer

- org.codehaus.groovy.transform.tailrec.VariableExpressionTransformer

- All Implemented Interfaces and Traits:
    ExpressionTransformer

      @CompileStatic
      class VariableExpressionTransformer
      extends Object

  An expression transformer used in the process of replacing the access to variables

  Authors:
    Johannes Link

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Closure<VariableExpression>` | `replaceWith`
    `Closure<Boolean>` | `when`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Expression` | `transform(Expression expr)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Property Detail

    - #### Closure<VariableExpression> replaceWith

    - #### Closure<Boolean> when

  - ### Method Detail

    - #### @Override Expression transform(Expression expr)